diff --git a/SubSystems/Online_Cobalt/validation/system/mpi/custom-openmpi-config.test b/SubSystems/Online_Cobalt/validation/system/mpi/custom-openmpi-config.test
index dfc0565da3cb9887d10f2184c046ed8c224432b0..854ed7ecf07140ec6f47f323ade4e6e652c68816 100755
--- a/SubSystems/Online_Cobalt/validation/system/mpi/custom-openmpi-config.test
+++ b/SubSystems/Online_Cobalt/validation/system/mpi/custom-openmpi-config.test
@@ -1,6 +1,9 @@
 #!/bin/bash -ve
 
 # Check whether we use our custom OpenMPI configuration file
-fgrep 'OpenMPI parameters for cbt00X' /opt/openmpi/etc/openmpi-mca-params.conf || exit 1
+MPI_BIN_DIR=`which mpirun`
+MPI_ETC_DIR=`dirname $MPI_BIN_DIR`/../etc
+
+fgrep 'Ansible managed: /etc/ansible/roles/cobalt2/templates/openmpi' $MPI_ETC_DIR/openmpi-mca-params.conf || exit 1
 
 exit 0